@tailwind base;
@tailwind components;
@tailwind utilities;

/* Colors

Yellow: #fdd521, rgb(253, 213, 33)
Blue: #2185e9, rgb(33, 133, 233)
Red: #d94d44, rgb(217, 77, 68)
Gray: #454545, rgb(69, 69, 69)
White: white

Fonts

Header, Footer: Big John
Nav Links, Pagination Links: Arvo
H1, H2, H3, H4, H5, H6: Made Waffle Soft
P, Li: Questrial
Code: Courier Prime */

:root {
  --primary-color: #fdd521;
  --secondary-color: #2185e9;
  --tertiary-color: #d94d44;
  --quaternary-color: #454545;
}

@font-face {
  font-family: Big John;
  src: url("/fonts/John_Joe/BIG_JOHN.otf");
}

@font-face {
  font-family: Arvo;
  src: url("/fonts/Arvo/Arvo-Bold.ttf");
}

@font-face {
  font-family: Made Waffle Soft;
  src: url("/fonts/Made_Waffle_Soft/Made_Waffle_Soft.otf");
}

@font-face {
  font-family: Aileron;
  src: url("/fonts/Aileron/Aileron-Regular.ttf");
}

@font-face {
  font-family: 'Questrial';
  src: url("/fonts/Questrial/Questrial-Regular.ttf");
}

.big-john {
  font-size: 25px;
  font-family: 'Big John', Arial, sans-serif;
}

h1 {
  font-family: 'Big John', Arial, sans-serif;
}

h2 {
  font-family: "Made Waffle Soft", Arial, sans-serif;
  color: #454545;
}

p, li, input, label {
  font-family: 'Questrial', Arial, sans-serif;
}

button[type="submit"]{
  padding: .5em;
  border-radius: .3em;
  color: var(--quaternary-color);
}

hr {
  border: 2px solid var(--secondary-color);
  margin-top: 0.75em;
  margin-bottom: 0.75em;
}

.remember {
  font-size: .8em;
}

nav a {
  padding: .5em;
  border-radius: .3em;
  background-color: var(--secondary-color);
  color: var(--quaternary-color);
}

label.habit {
  color: var(--quaternary-color);
}

.current-streak {
  line-height: 40px;
}

label {
  color: white;
}

a, button {
  font-family: 'Arvo', Arial, sans-serif;
}

h1, p, li, a {
  color: #454545;
}

p {
  font-weight: 900;
}

.color-block {
  box-shadow: 0 0 0 0.2em #d94d44, 0 0 0 0.4em #fdd521, 0 0 0 0.6em #2185e9;
  border-radius: .3em;
  margin: 2em;
}

input {
  border: 1px solid var(--primary-color);
  border-radius: 0.3em;
}

#app {
  max-width: 480px;
  margin: auto;
}